<?php
/**
 * @version   $Id: item.php 57539 2012-10-14 17:29:59Z btowles $
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - 2012 RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 */

class RokSprocket_Model_Object_Item extends RokSprocket_Model_Object_Abstract
{

	/**
	 * @var string
	 */
	protected $_tbl = 'roksprocket_items';
	/**
	 * @var string
	 */
	protected $_tbl_key = 'id';

	/**
	 * @var int
	 */
	protected $id = 0;

	protected $widget_id;

	protected $provider;

	protected $provider_id;

	protected $order;

	/**
	 * @var RokCommon_Registry
	 */
	protected $params;

	/**
	 * @param RokSprocket_Model_Object_Widget
	 *
	 * @return \RokSprocket_Model_Object_Widget
	 */
	public static function genereateFromArray($array)
	{
		$instance = new self();
		$instance->bind($array);
		return $instance;
	}


	/**
	 * @param array  $array
	 *
	 * @param string $ignore
	 *
	 * @return bool
	 */
	public function bind($array, $ignore = '')
	{
		if (isset($array['params']) && is_array($array['params'])) {
			if (get_magic_quotes_gpc()) {
				$array['params'] = self::_stripSlashesRecursive($array['params']);
			}
			$registry = new RokCommon_Registry;
			$registry->loadArray($array['params']);
			$array['params'] = (string)$registry;
		}
		return parent::bind($array, $ignore);
	}

	/**
	 * @param int $id
	 */
	public function setId($id)
	{
		$this->id = $id;
	}

	/**
	 * @return int
	 */
	public function getId()
	{
		return $this->id;
	}

	public function setOrder($order)
	{
		$this->order = $order;
	}

	public function getOrder()
	{
		return $this->order;
	}

	public function setProvider($provider)
	{
		$this->provider = $provider;
	}

	public function getProvider()
	{
		return $this->provider;
	}

	public function setProviderId($provider_id)
	{
		$this->provider_id = $provider_id;
	}

	public function getProviderId()
	{
		return $this->provider_id;
	}

	public function setWidgetId($widget_id)
	{
		$this->widget_id = $widget_id;
	}

	public function getWidgetId()
	{
		return $this->widget_id;
	}



	/**
	 * @param \RokCommon_Registry $params
	 */
	public function setParams($params)
	{
		$this->params = $params;
	}

	/**
	 * @param $json
	 */
	public function setParamsFromJSON($json)
	{
		$this->params = new RokCommon_Registry($json);
	}

	/**
	 * @return \RokCommon_Registry
	 */
	public function getParams()
	{
		return $this->params;
	}
}
